Bug 1467976 - ceph logs shouldn't display dmcrypt key
ceph logs shouldn't display dmcrypt key
Status: VERIFIED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Disk (Show other bugs)
2.3
Unspecified Unspecified
low Severity low
: rc
: 3.0
Assigned To: Brad Hubbard
Parikshith
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 13:37 EDT by Alexandre Marangone
Modified: 2017-09-26 13:21 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHEL: ceph-12.1.2-1.el7cp Ubuntu: ceph_12.1.2-2redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 20790 None None None 2017-07-27 02:11 EDT

  None (edit)
Description Alexandre Marangone 2017-07-05 13:37:13 EDT
Description of problem:
2017-07-05 12:59:20.917401 mon.0 [INF] from='client.? 192.168.122.100:0/1418962056' entity='client.bootstrap-osd' cmd=[{"prefix": "config-key put", "key": "dm-crypt/osd/db13f070-7e71-44ca-9b2a-c5c4d482a40a/luks", "val": "DqcGGR1PT9j0z5AenpmSirK2b1J6gE13lN5m1YcYL6/nqTUgqdtJrYblLXdIv7awO6eL0PIIsfybmNfdFsTNigA5cSuUEdw66ODtK8sasYZHlaVIuFVNmEAU0xy/1Xhj+nKzAMVGjrZtUZnQ9kdJMJAbjvtLsV8CVQIcNE4G4Fg="}]: dispatch
2017-07-05 12:59:20.920841 mon.0 [INF] from='client.? 192.168.122.100:0/1418962056' entity='client.bootstrap-osd' cmd='[{"prefix": "config-key put", "key": "dm-crypt/osd/db13f070-7e71-44ca-9b2a-c5c4d482a40a/luks", "val": "DqcGGR1PT9j0z5AenpmSirK2b1J6gE13lN5m1YcYL6/nqTUgqdtJrYblLXdIv7awO6eL0PIIsfybmNfdFsTNigA5cSuUEdw66ODtK8sasYZHlaVIuFVNmEAU0xy/1Xhj+nKzAMVGjrZtUZnQ9kdJMJAbjvtLsV8CVQIcNE4G4Fg="}]': finished

Steps to Reproduce:
1. ceph-disk prepare --dmcrypt <device>

Actual results:
dmcrypt key is displayed

Expected results:
dmcrypt key should be hidden
Comment 2 Brad Hubbard 2017-07-27 02:11:12 EDT
https://github.com/ceph/ceph/pull/16619
Comment 3 Brad Hubbard 2017-08-08 23:16:03 EDT
"Issue #20790 has been updated by Sage Weil.

The 'config-key put' command can also take the value via stdin (-i -) or a file (-i <filename>); if the caller just does that this problem goes away.

Also, in luminous, this key is provided via 'osd new' and 'config-key put' isn't used at all anymore. For jewel, a minimal fix is probably just the above..."

Any objections to closing this NOTABUG?
Comment 4 Brad Hubbard 2017-08-08 23:31:30 EDT
(In reply to Brad Hubbard from comment #3)
> Any objections to closing this NOTABUG?

Ignore this, we need to look at the way ceph-disk executes this command.
Comment 5 Brad Hubbard 2017-08-10 22:42:03 EDT
So this luminous commit changed ceph-disk to use "ceph osd new".

https://github.com/ceph/ceph/commit/9fa13d4c3ccde25770b8de5e9ad5d3d2dc0d96e0

the upstream tracker is closed since this is not a problem in master. Looking at a fix specifically for jewel.

Note You need to log in before you can comment on or make changes to this bug.